﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SerialPlayer
{
    public class DataEntry
    {
        public double timeOffset;
        public byte[] data;

        public DataEntry(double timeOffset, byte[] data)
        {
            this.timeOffset = timeOffset;
            this.data = data;
        }
    }

    public abstract class UartFileReader
    {
        public enum AttributeType
        {
            Portname,
            Baudrate,
            UartDataBits,
            UartParity,
            UartStopBits,
            StartOffset,
            StartTime,
            StartDatetime,
            RepetitionCount,
            RepetitionPause,
        }

        public long TotalBytes;
        public double Duration;


        public Dictionary<AttributeType, object> Attributes = new Dictionary<AttributeType, object>();

        public List<DataEntry> data = new List<DataEntry>();
    }
}
